package com.hotent.uc.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.hotent.base.conf.WebSecurityExtend;

@Configuration
public class UCWebSecurityExtend{

	@Bean
	WebSecurityExtend getUCExtend() {
		return new WebSecurityExtend() {
			@Override
			public String[] getIgnoringPostUrl() {
				return new String[] { "/api/user/v1/user/loadUserByUsername","/api/user/v1/user/loadCustomerUserByUsername" };
			}
			@Override
			public String[] getIgnoringGetUrl() {
				return new String[] { "/uc/tenantManage/v1/getTenantByCode" };
			}
		};
	}
	
}
